Bug 1524377 - LMDB.xs need 64-bit arch
Summary: LMDB.xs need 64-bit arch
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-LMDB_File
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jančo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86 F-ExcludeArch-ARM
TreeView+ depends on / blocked
 
Reported: 2017-12-11 11:43 UTC by Jakub Jančo
Modified: 2019-05-28 20:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:50:03 UTC
Type: Bug


Attachments (Terms of Use)
Build log armv7hl (6.71 KB, text/plain)
2017-12-11 13:29 UTC, Jakub Jančo
no flags Details
Build log i686 (6.66 KB, text/plain)
2017-12-11 13:29 UTC, Jakub Jančo
no flags Details

Description Jakub Jančo 2017-12-11 11:43:49 UTC
Description of problem:
Library compile only on x64 machines. because LMDB need x64.

Version-Release number of selected component (if applicable):
0.12

Steps to Reproduce:
1. perl Makefile.PL
2. make

Actual results:
Does not compile

Comment 1 Dan Horák 2017-12-11 12:15:19 UTC
I don't understand, what package needs x64? lmdb or perl-LMDB_file? What's the reason of such strange requirement?

Comment 2 Jakub Jančo 2017-12-11 13:25:57 UTC
Sorry for confusion. On LMDB_File git README, they have that LMDB needs x64. At first I thought it is about LMDB library. but in koji this library was built for all platforms. And compile errors point to LMDB.xs in LMDB_File library. I am not 100% sure.
I will attach logs.

Also for s390x recent build success, so I am removing blocker.

Comment 3 Jakub Jančo 2017-12-11 13:29:19 UTC
Created attachment 1366015 [details]
Build log  armv7hl

Comment 4 Jakub Jančo 2017-12-11 13:29:43 UTC
Created attachment 1366016 [details]
Build log  i686

Comment 5 Dan Horák 2017-12-11 14:21:15 UTC
OK, so it likely wants a 64-bit arch, thus why it fails on 32-bit armv7 and i686.

LMDB.xs: In function 'populateStat':
LMDB.xs:118:2: error: format not a string literal and no format arguments [-Werror=format-security]
  croak(mdb_strerror(res));

should be easy to fix, try
  croak(mdb_strerror("%s", res));

the last 2 warnings are from a strange code - format string expects 2 parameters, but get only one, so they don't match ...

Comment 6 Fedora End Of Life 2018-02-20 15:29:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 7 Jeff Backus 2018-07-02 17:18:13 UTC
Hi folks,

I apologize for the late arrival. Is this issue still open?

Thanks!
jeff

Comment 8 Jakub Jančo 2018-07-03 06:20:42 UTC
Hello,
main developer doesnt want to support 32bit. Should this be closed?

Comment 9 Ben Cotton 2019-05-02 21:29:51 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-05-28 20:50:03 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.